@import '/src/vars.scss';

.welcome {
  width: 100%;
  color: #000;
  text-align: center;
  font-family: $font-work-sans;
  font-size: 29px;
  font-style: normal;
  font-weight: 500;
  line-height: 60px;
  position: relative;
}

.main {
  position: relative;
  padding: 0 5%;
  background-image: url('../../images/nfticket/background.png');
  background-color: rgba(211, 211, 211, 0.5) ;
  background-blend-mode: multiply;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  min-height: 100vh;
  display: flex;
  flex-direction: column;

  @media (min-width: 768px) {
    margin: unset;
    padding-top: unset;
  }

  .catGraphic {
    top: 0;
    right: 0;
    position: absolute;
    display: none;

    @media (min-width: 1200px) {
      display: block;
    }
  }

  .catGraphicMobile {
    top: 0;
    right: 0;
    position: absolute;
    display: block;

    @media (min-width: 1200px) {
      display: none;
    }
  }

  h1 {
    color: #000;
    text-align: center;
    font-family: $font-dela-gothic;
    font-size: 35px;
    font-style: normal;
    font-weight: 400;
    line-height: 60px;
    margin: 0;
    position: relative;

    @media (min-width: 330px) {
      font-size: 48px;
    }
  }

  .firstLine {
    display: flex;
    justify-content: center;

    .ticket {
      color: #F47B0A;
    }
  }

  .collection {
    color: #63AC11;
    margin-bottom: 20px;
    
  }

  div[class*='Header_mainContainer'] {
    position: fixed;
    top: 0;
    left: 0;
    margin: 0;
    width: 100%;
    z-index: 999;
    @media (min-width: 768px) {
      position: static;
    }
    header[class*='Header_header'] {
      display: flex;
      flex-wrap: wrap;
      align-items: center;
      justify-content: center;
      margin: 0;
      @media (min-width: 768px) {
        padding: 55px 60px 50px;
        justify-content: space-between;
      }
    }
  }
}

.upperContainer {
  position: relative;
  width: 265px;
  height: 265px;
  margin: 41px auto;
  z-index: 0;
  
  @media (min-width: 380px) {
    width: 342px;
    height: 342px;
  }

  @media (min-width: 768px) {
    margin: 0 0 46px;
    width: 437px;
    height: 437px;
  }
}
.image {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  max-width: 100%;
  object-fit: contain;
  z-index: 1;
  border: 5px solid #63AC11;
}

.lowerContainer {
  display: flex;
  flex-direction: column;
  max-width: 342px;
  width: 100%;
  height: auto;
  border: 3px solid #63AC11;
  box-shadow: 0px 0px 50px 0px #FFFFFF26;
  align-items: center;
  position: relative;
  padding: 0 30px 28px;
  background: #000;
  margin-bottom: 61px;

  @media (min-width: 768px) {
    width: 538px;
    padding: 0 51px 23px;
    max-width: none;
  }

  .notEligibleInfo {
    margin-top: 20px;
    color: red;
  }
}

.relativeWrapper {
  position: relative;
  width: 100%;
}

.inputData {
  background-color: $c-white;
  box-sizing: border-box;
  width: 100%;
  height: 42px;
  border-radius: 20px;
  border: 0;
  font-family: $font-bankless-dao;
  font-style: normal;
  font-weight: 600;
  line-height: 22px;
  font-size: 12px;
  letter-spacing: 0.02em;
  padding-left: 11px;
  color: #052152;
  text-shadow: 0px 2px 50px #ffffff;

  &:disabled {
    cursor: not-allowed;
    background: #FFFFFF;
    opacity: 0.5;

    &::placeholder {
      font-family: 'Montserrat';
      font-style: normal;
      font-weight: 600;
      font-size: 12px;
      line-height: 21px;
      letter-spacing: 0.02em;
      text-shadow: 0px 2px 50px #FFFFFF;
      @media (min-width: 768px) {
        font-size: 17px;
      }
    }
  }

  &:focus,
  &:focus-visible {
    border: 0;
    outline: 0;
  }

  &::placeholder {
    color: rgba(2, 12, 30, 0.5);
  }

  @media (min-width: 768px) {
    font-size: 18px;
    height: 65px;
    width: 100%;
    padding: 21px 0 22px 22px;
  }
}

.randomize {
  position: absolute;
  cursor: pointer;
  bottom: 8px;
  right: 16px;
  background-color: transparent;
  border: 0;
  img {
    height: 19px;
    width: 21px;
  }
  @media (min-width: 768px) {
    top: 15px;
    img {
      width: 32px;
      height: 30px;
    }
  }
  &:disabled {
    cursor: not-allowed;
  }
}

.buttonWrapper {
  position: relative;
  display: flex;
  margin-top: 38px;
  flex-direction: column;
  align-items: center;
  width: 100%;
}

.button {
  font-family: $font-bankless-dao;
  font-weight: 600;
  font-size: 18px;
  line-height: 21.94px;
  letter-spacing: 2%;
  color: #000000;
  border: none;
  cursor: pointer;
  text-decoration: none;
  display: inline;
  margin: 0;
  background: #B2EF62 !important;
  text-transform: uppercase;
  width: 100%;
  height: 41.81px;
  padding: 0 17px;
  border-radius: 20px;

  &:disabled {
    background: #597731 !important;
    cursor: not-allowed;
  }
  @media (min-width: 768px) {
    width: 100%;
    height: 65px;
  }
  span {
    display: flex;
    flex-direction: column;
  }
}
.status {
  position: absolute;
  font-family: $font-bankless-dao;
  font-style: normal;
  top: -32px;
  font-weight: 800;
  font-size: 10px;
  line-height: 12px;
  text-align: center;
  letter-spacing: 0.02em;
  text-transform: uppercase;
  color: #00b318;
  @media (min-width: 768px) {
    font-size: 12px;
    line-height: 15px;
    top: -45px;
  }
}

.slider {
  background-color: rgba(255, 255, 255, 0.25);
  width: 225px;
  margin-top: 30px;
  background-color: transparent;

  :global(.rc-slider-mark-text) {
    width: 100%;

    &:first-child {
      text-align: left;
      transform: none !important;
    }

    &:last-child {
      text-align: right;
      transform: translateX(-100%) !important;
    }
  }
  @media (min-width: 768px) {
    width: 100%;
    margin-top: 42px;
  }
}

.sliderInfo {
  margin: 0;
  font-family: $font-bankless-dao;
  font-weight: 500;
  font-style: italic;
  line-height: 18px;
  margin-top: 8px;
  padding: 0;
  font-size: 10px;
  color: rgba(255, 255, 255, 0.50);
  @media (min-width: 768px) {
    font-size: 15px;
  }
}
.percentage {
  font-family: $font-bankless-dao;
  color: #fff;
  margin-top: 8px;
  font-weight: 600;
  font-size: 12px;
  line-height: 18px;
  letter-spacing: 0.02em;
  @media (min-width: 768px) {
    font-size: 15px;
  }
}

.walletInputNotConnected {
  margin-bottom: 24px !important;
}

.connectWalletBackendMint {
  button {
    margin-bottom: 0px;
  }
}

.walletInput {
  width: 100%;
  margin-bottom: 90px;
  margin-top: 30px;
  
  @media (min-width: 768px) {
      margin-top: 60px;
    }

  span {
    font-family: 'Montserrat';
    font-style: normal;
    font-weight: 400;
    font-size: 15px;
    line-height: 18px;
    letter-spacing: 0.02em;
    color: #FFFFFF;
    text-shadow: 0px 2px 50px #FFFFFF;
  }

  div {
    position: relative;
    img {
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      width: 100px;
      height: 100px;
    }
  }

  input[type='text'] {
    margin-top: 24px;
    background-color: $c-white;
    box-sizing: border-box;
    height: 42px;
    border-radius: 15px;
    border: 0;
    font-style: normal;
    font-weight: 600;
    font-size: 12px;
    line-height: 18px;
    letter-spacing: 0.02em;
    color: rgba(2, 12, 30, 0.5);
    text-shadow: 0px 2px 50px #FFFFFF;
    padding-left: 11px;
    width: 100%;

    &:disabled {
      color: #585a5e;
      cursor: not-allowed;
      background-color: $c-alto;

      &::placeholder {
        color: #c0bebe;
      }
    }
    &:focus,
    &:focus-visible {
      border: 0;
      outline: 0;
    }

    &::placeholder {
      font-family: 'Montserrat';
      font-style: normal;
      font-weight: 600;
      font-size: 12px;
      line-height: 18px;
      letter-spacing: 0.02em;
      color: rgba(2, 12, 30, 0.5);
      text-shadow: 0px 2px 50px #FFFFFF;
      @media (min-width: 768px) {
        font-size: 15px;
        height: 65px;
        padding: 0px 0 0px 10px;
      }
    }

    @media (min-width: 768px) {
      font-size: 15px;
      height: 65px;
      padding: 0px 0 0px 10px;
    }
  }
}

.details {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;

  @media (min-width: 768px) {
    padding: 25px 56px 78px 58px;
  }

  .row {
    padding-bottom: 30px;
    display: flex;
    flex-direction: column;
    .rowTitle {
      color: #1f6fe5;
      font-weight: bold;
      font-size: 20px;
      margin-bottom: 10px;
    }
    .rowValue {
      color: black;
      font-weight: 500;
      font-size: 22px;
    }
  }
  @media (min-width: 768px) {
    width: 55%;
    padding: 0;
  }
}

.container {
  position: relative;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  min-height: 600px;
  @media (min-width: 768px) {
    max-width: 100%;
  }
}

.header {
  position: relative;
  padding: 55px 60px 50px;
}
.indicatorContainer {
  position: absolute;
  bottom: -55px;
  display: flex;
  justify-content: space-around;
  div {
    width: 19.2px;
    height: 19.2px;
    border-radius: 100%;
    margin-right: 28px;
    margin-left: 28px;
  }
  @media (min-width: 768px) {
    width: 29.85px;
    right: -78px;
    bottom: 70%;
    display: block;
    height: 29.85px;
    div {
      margin-bottom: 44px;
      width: 29.85px;
      height: 29.85px;
      margin: 0 0 28px;
    }
  }

  .green {
    background: rgba(77, 255, 100, 0.25);
  }
  .red {
    background: rgba(255, 51, 51, 0.25);
  }
  .orange {
    background: rgba(255, 149, 0, 0.25);
  }
}

.actionButton {
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 600;
  font-size: 14px;
  line-height: 22px;
  width: 100%;
  height: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  letter-spacing: 0.02em;
  text-transform: uppercase;
  text-decoration: none;
  color: #000;
  background: #F47B0A;
  border-radius: 15px;


  @media (min-width: 360px) {
    font-size: 18px;
  }

  @media (min-width: 768px) {
    min-width: 230px;
    height: 65px;
  }
}
.connect {
  width: 100%;
  button {
    font-family: Montserrat;
    font-weight: 600;
    font-size: 14px;
    letter-spacing: 2%;
    white-space: nowrap;
    color: black;
    border: 0;
    text-transform: uppercase;
    background: #F47B0A;
    border-radius: 15px;
    width: 100%;
    height: 41.81px;
    @media (min-width: 768px) {
      width: 100%;
      height: 65px;
      font-size: 18px;
      line-height: 21.94px;
    }
  }
}

.withdrawals {
  position: relative;
  margin: 19px 0 0;
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 800;
  font-size: 10px;
  line-height: 12px;
  letter-spacing: 0.02em;
  color: #ffffff;
  margin-top: 12px;
  @media (min-width: 768px) {
    font-size: 12px;
    line-height: 15px;
    margin-top: 29px;
    margin-bottom: 0;
  }
}

.successTitle {
  color: #FFFFFF;;
  margin-top: 31px;
  margin-bottom: 0;
  font-family: 'Poppins';
  font-style: normal;
  text-transform: uppercase;
  font-weight: 700;
  font-size: 25px;
  letter-spacing: 2.79px;
  text-align: center;
  max-width: 200px;
  max-height: 92px;
}

.successDescription {
  font-family: 'Poppins';
  font-style: normal;
  font-weight: 400;
  font-size: 10px;
  line-height: 12px;
  letter-spacing: 0.02em;
  margin: 0;
  margin-top: 16px;
}

@media (min-width: 768px) {
  .successTitle {
    font-weight: 700;
    font-size: 31px;
    margin: 0;
    margin-top: 48px;
    max-width: 100%;
  }

  .successDescription {
    font-size: 16px;
    font-weight: 400;
    margin: 0;
    margin-top: 15px;
    letter-spacing: 0.32px;
  }
}

.numberInputLabel {
  font-family: 'Poppins';
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  text-align: center;
  letter-spacing: 0.02em;
  color: $c-white;
  margin: 24px 0 8px;
}

.tooltipBoldText {
  color: #2E2B26;
  font-family: Inter;
  font-size: 12px;
  font-style: normal;
  font-weight: 700;
  line-height: normal;
  letter-spacing: 0.24px;
}

.nfTicketContainer {
  display: flex;
  flex-direction: column;
  align-items: center;
  color: #0C0D19;
  text-align: center;
  font-family: 'Poppins';
  font-style: normal;
  line-height: normal;
  background: linear-gradient(90deg, #63AC11 0.04%, #BFF694 99.95%);
  padding: 56px 11% 50px;
  
  @media (min-width: 768px) {
    padding: 83px 11% 93px;
  }
  
  .title {
    font-size: 31px;
    font-weight: 800;
    letter-spacing: 8.37px;
    text-transform: uppercase;
    height: 72px;
  }

  .content {
    font-size: 20px;
    font-weight: 400;
    max-width: 773px;
  }
}

.footer {
  height: 101px;
  background: #E8E8E8;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0 77px;
  
  @media (min-width: 768px) {
    justify-content: end;
  }
}